<?php
get_header();
global $wpdb;

$mt_settings_data = $wpdb->prefix . 'mt_settings';
$mt_settings_data_fetch = $wpdb->get_row("SELECT * FROM $mt_settings_data ORDER BY id DESC LIMIT 1");
$customer_cookie_duration = $mt_settings_data_fetch->customer_cookie_duration;
$mt_page_slug = get_page_by_path('doctor-booking');


if (get_post_meta(get_the_ID(), 'meditest_post_meta', true)) {
    $page_meta = get_post_meta(get_the_ID(), 'meditest_post_meta', true);
} else {
    $page_meta = array();
}

if (array_key_exists('page_title_enable', $page_meta)) {
    $enable_title = $page_meta['page_title_enable'];
} else {
    $enable_title = true;
}

?>
<?php if ($enable_title == true) : ?>
    <div class="theme-breadcrumb__Wrapper theme-breacrumb-area">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <h1 class="theme-breacrumb-title">
                        <?php
                        if ($mt_page_slug) {
                            echo get_the_title($mt_page_slug);
                        } ?>
                    </h1>
                    <div class="breaccrumb-inner">
                        <?php
                        if (function_exists('the_meditest_breadcrumb')) {
                            the_meditest_breadcrumb();
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php endif; ?>
<!-- mt container  -->
<div class="mt-plugin-container">
    <!-- mt-services-and-form-container -->
    <div class="mt-services-and-form-container">
        <!-- mt-services container -->
        <div class="em-services-container">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <header class="d-flex justify-content-center py-4">
                            <h2 class="mt-archive-header">
                                <?php
                                ?>
                            </h2>
                        </header>
                        <?php
                        //Protected against arbitrary paged values
                        $current_time_milliseconds = round(microtime(true) * 1000);
                        $per_page = 10;
                        $page = isset($_GET['page']) ? abs((int)$_GET['page']) : 1;
                        $current_page = $page;

                        if ($page > 0) {
                            $offset = $page * $per_page - $per_page;
                        } else {
                            $offset = $page;
                        }
                        if (isset($_GET['service_type'])) {
                            $mt_service_type = $_GET['service_type'];
                            $mt_service_type_xss_proof = htmlspecialchars($mt_service_type);
                            $mt_service_type_xss_proof_and_sanitized = sanitize_text_field($mt_service_type_xss_proof);
                            if ($_GET['service_type'] == 'show-all') {
                                $args = array(
                                    'posts_per_page' => $per_page,
                                    'post_type' => 'mt_service',
                                    'status' => 'published',
                                    'offset' => $offset
                                );
                                $mt_query = new WP_Query($args);
                            } else {
                                $args = array(
                                    'posts_per_page' => $per_page,
                                    'post_type' => 'mt_service',
                                    'status' => 'published',
                                    'offset' => $offset,
                                    'tax_query' => array(
                                        array(
                                            'taxonomy' => 'mt_service_type',
                                            'field' => 'name',
                                            'terms' => $mt_service_type_xss_proof_and_sanitized
                                        )
                                    )
                                );
                                $mt_query = new WP_Query($args);
                            }

                        } else if (isset($_GET['mt_search'])) {
                            $mt_search = $_GET['mt_search'];
                            $mt_search_xss_proof = htmlspecialchars($mt_search);
                            $mt_search_xss_proof_and_sanitized = sanitize_text_field($mt_search_xss_proof);
                            $args = array(
                                's' => $mt_search,
                                'posts_per_page' => $per_page,
                                'post_type' => 'mt_service',
                                'status' => 'published',
                                'offset' => $offset
                            );
                            $mt_query = new WP_Query($args);

                        } else {
                            $args = array(
                                'posts_per_page' => $per_page,
                                'post_type' => 'mt_service',
                                'status' => 'published',
                                'offset' => $offset
                            );
                            $mt_query = new WP_Query($args);
                        }

                        ?>
                        <div class="row">
                            <?php
                            if ($mt_query->have_posts()) :
                                /* Start the Loop */
                                while ($mt_query->have_posts()) :
                                    $mt_query->the_post();
                                    $selected_doctor_ids = get_post_meta(get_the_ID(), 'selected_doctor', true);
                                    $doctor_thumbnail = get_the_post_thumbnail($selected_doctor_ids, 'thumbnail');
                                    $doctor_permalink = get_permalink($selected_doctor_ids);
                                    $mt_service_availability_ends_at = get_post_meta(get_the_ID(), 'mt_service_availability_ends_at', true);
                                    $mt_display_service_price = get_post_meta(get_the_ID(), 'mt_display_service_price', true);
                                    $categories = get_categories('taxonomy=mt_service_type&post_type=mt_service');
                                    $categoriess = get_the_terms(get_the_ID(), 'mt_service_type');
                                    $mt_display_service_location = get_post_meta(get_the_ID(), 'mt_display_service_location', true);
                                    $mttexteditor_check = get_post_meta(get_the_ID(), 'mttexteditor_check', true);
                                    if ($mt_service_availability_ends_at) {
                                        $mt_service_availability_ends_at = strtotime($mt_service_availability_ends_at) * 1000;
                                    } else {
                                        $mt_service_availability_ends_at = $current_time_milliseconds;
                                    }

                                    if ($mt_service_availability_ends_at > $current_time_milliseconds) {
                                        ?>
                                        <div class="col-lg-3">
                                            <article id="post-<?php the_ID(); ?>"
                                                     class="em-service d-block text-center mt-4">

                                                <div class="em-service-excerpt team-info-box-section align-items-center d-block">
                                                    <?php
                                                    if ($doctor_thumbnail) {
                                                        ?>
                                                        <a class="team-box-img" href="<?php echo $doctor_permalink; ?>">
                                                            <?php echo $doctor_thumbnail; ?>
                                                        </a>
                                                        <?php

                                                    } else {
                                                        ?>
                                                        <a class="team-box-img" href="<?php echo $doctor_permalink; ?>">
                                                            <?php if (has_post_thumbnail()) : ?>
                                                                <?php the_post_thumbnail(); ?>
                                                            <?php endif; ?>
                                                        </a>
                                                        <?php
                                                    }
                                                    ?>
                                                    <div class="service-two-icon-box-conent team-info">

                                                        <div class="team-info">
                                                            <h4 id="mt-service-name">
                                                                <a class="team-name"
                                                                   href="<?php echo $doctor_permalink; ?>"><?php the_title(); ?> </a>
                                                            </h4>
                                                            <label id="mt-service-id" class="d-none"> <input
                                                                        type="number" value="<?php the_ID(); ?>">
                                                            </label>
                                                            <div class="mt-service-cat-price">
                                                                <p class="designation">
                                                                    <?php
                                                                    $doctorcat = get_the_terms(get_the_ID(), 'mt_service_type');

                                                                    // Check if terms exist and are an array or object
                                                                    if ($doctorcat && (is_array($doctorcat) || is_object($doctorcat))) {
                                                                        // Loop through each term
                                                                        foreach ($doctorcat as $doctorcats) {
                                                                            // Display the taxonomy name and post ID
                                                                            echo esc_html($doctorcats->name);
                                                                        }
                                                                    }
                                                                    ?>
                                                                    <?php
                                                                    ?>
                                                                </p> <?php if ($categories && $mt_display_service_price) { ?>
                                                                    <p class="designation"> / </p> <?php } ?>
                                                                <?php
                                                                if ($mt_display_service_price) { ?>
                                                                    <p class="em-reservation-service-price"><?php _e(' ', 'mt-service-booking'); ?>
                                                                        <b id="mt-service-price"> <?php echo $mt_display_service_price; ?> </b>
                                                                    </p>
                                                                    <?php
                                                                }
                                                                ?>
                                                                <?php if ($mt_display_service_price && $mt_display_service_location) { ?>
                                                                    <p class="designation"> / </p> <?php } ?>
                                                                <?php
                                                                if ($mt_display_service_location) { ?>
                                                                    <div class="mt-service-location">
                                                                        <p class="mt-service-location-pragr d-flex justify-content-center align-items-center"><?php _e('<i class="fa fa-map-marker" aria-hidden="true"></i>', 'mt-service-booking'); ?><?php echo $mt_display_service_location; ?> </p>
                                                                    </div>
                                                                    <?php
                                                                }
                                                                ?>
                                                            </div>

                                                            <div class="mt-service-content">
                                                                <?php

                                                                if ($mttexteditor_check) {
                                                                    ?>
                                                                    <?php
                                                                    $mttexteditor = get_post_meta(get_the_ID(), 'mttexteditor', true);
                                                                    if ($mttexteditor) {
                                                                        echo $mttexteditor;
                                                                    }
                                                                    ?>

                                                                <?php } ?>
                                                            </div>
                                                        </div>
                                                        <div class="em-service-meta-info">
                                                            <div class="mt-service-available-on-calendar">
                                                                <!-- starting date  -->
                                                                <?php $mt_service_availability_starts_at = get_post_meta(get_the_ID(), 'mt_service_availability_starts_at', true);

                                                                if ($mt_service_availability_starts_at) {
                                                                    $current_time_milliseconds = round(microtime(true) * 1000);
                                                                    $startingTimeToMs = strtotime($mt_service_availability_starts_at) * 1000;
                                                                    ?>
                                                                    <?php if ($startingTimeToMs > $current_time_milliseconds) { ?>
                                                                        <input type="text"
                                                                               name="mt_service_availability_starts_at"
                                                                               class="mt_service_availability_starts_at"
                                                                               value="<?php echo $mt_service_availability_starts_at; ?>"/>
                                                                    <?php } else { ?>
                                                                        <input type="text"
                                                                               name="mt_service_availability_starts_at"
                                                                               class="mt_service_availability_starts_at"
                                                                               value="<?php echo date('Y-m-d 00:00:01'); ?>"/>
                                                                    <?php } ?>
                                                                <?php } else { ?>
                                                                    <input type="text"
                                                                           name="mt_service_availability_starts_at"
                                                                           class="mt_service_availability_starts_at"
                                                                           value="<?php echo date("Y-m-d 00:00:01"); ?>"/>
                                                                <?php } ?>
                                                                <!-- ending date  -->
                                                                <?php $mt_service_availability_ends_at = get_post_meta(get_the_ID(), 'mt_service_availability_ends_at', true);
                                                                if ($mt_service_availability_ends_at) { ?>
                                                                    <input type="text"
                                                                           name="mt_service_availability_ends_at"
                                                                           class="mt_service_availability_ends_at"
                                                                           value="<?php echo $mt_service_availability_ends_at; ?>"/>
                                                                    <?php
                                                                } else { ?>
                                                                    <input type="text"
                                                                           name="mt_service_availability_ends_at"
                                                                           class="mt_service_availability_ends_at"
                                                                           value="<?php echo date("Y-m-d 00:00:01"); ?>"/>
                                                                <?php }
                                                                ?>
                                                            </div>
                                                            <!-- weekly off-days  -->
                                                            <div class="em-off-days">
                                                                <?php $mt_service_off_day_sun = get_post_meta(get_the_ID(), 'mt_service_off_day_sun', true);
                                                                if ($mt_service_off_day_sun) { ?>
                                                                    <input class="emOffDays" type="text"
                                                                           value="<?php echo $mt_service_off_day_sun; ?>"
                                                                           placeholder="sunday">
                                                                <?php } ?>
                                                                <?php $mt_service_off_day_mon = get_post_meta(get_the_ID(), 'mt_service_off_day_mon', true);
                                                                if ($mt_service_off_day_mon) { ?>
                                                                    <input class="emOffDays" type="text"
                                                                           value="<?php echo $mt_service_off_day_mon; ?>"
                                                                           placeholder="monday">
                                                                <?php } ?>
                                                                <?php $mt_service_off_day_tues = get_post_meta(get_the_ID(), 'mt_service_off_day_tues', true);
                                                                if ($mt_service_off_day_tues) { ?>
                                                                    <input class="emOffDays" type="text"
                                                                           value="<?php echo $mt_service_off_day_tues; ?>"
                                                                           placeholder="tuesday">
                                                                <?php } ?>
                                                                <?php $mt_service_off_day_wed = get_post_meta(get_the_ID(), 'mt_service_off_day_wed', true);
                                                                if ($mt_service_off_day_wed) { ?>
                                                                    <input class="emOffDays" type="text"
                                                                           value="<?php echo $mt_service_off_day_wed; ?>"
                                                                           placeholder="wednesday">
                                                                <?php } ?>
                                                                <?php $mt_service_off_day_thurs = get_post_meta(get_the_ID(), 'mt_service_off_day_thurs', true);
                                                                if ($mt_service_off_day_thurs) { ?>
                                                                    <input class="emOffDays" type="text"
                                                                           value="<?php echo $mt_service_off_day_thurs; ?>"
                                                                           placeholder="thursday">
                                                                <?php } ?>
                                                                <?php $mt_service_off_day_fri = get_post_meta(get_the_ID(), 'mt_service_off_day_fri', true);
                                                                if ($mt_service_off_day_fri) { ?>
                                                                    <input class="emOffDays" type="text"
                                                                           value="<?php echo $mt_service_off_day_fri; ?>"
                                                                           placeholder="friday">
                                                                <?php } ?>
                                                                <?php $mt_service_off_day_sat = get_post_meta(get_the_ID(), 'mt_service_off_day_sat', true);
                                                                if ($mt_service_off_day_sat) { ?>
                                                                    <input class="emOffDays" type="text"
                                                                           value="<?php echo $mt_service_off_day_sat; ?>"
                                                                           placeholder="saturday">
                                                                <?php } ?>

                                                            </div>
                                                            <!-- Full day reservation  -->
                                                            <div class="full-day-reservation">
                                                                <?php
                                                                $mt_service_full_day_reservation = get_post_meta(get_the_ID(), 'mt_service_full_day_reservation', true); ?>
                                                                <input type="checkbox" name="mt_fullDayReserve"
                                                                       id="mt_fullDayReserve" <?php echo $mt_service_full_day_reservation; ?> />
                                                            </div>

                                                            <!-- Time slot  -->
                                                            <div class="em-time-slot">
                                                                <div class="am-time-slot">
                                                                    <?php
                                                                    $mt_service_am_starting_time = get_post_meta(get_the_ID(), 'mt_service_am_starting_time', true);
                                                                    if ($mt_service_am_starting_time) { ?>
                                                                        <input class="amSlotStarts"
                                                                               value="<?php echo $mt_service_am_starting_time; ?>"/>
                                                                    <?php } else { ?>
                                                                        <input class="amSlotStarts" value="10:00"/>
                                                                    <?php } ?>
                                                                    <?php
                                                                    $mt_service_am_ending_time = get_post_meta(get_the_ID(), 'mt_service_am_ending_time', true);
                                                                    if ($mt_service_am_ending_time) { ?>
                                                                        <input class="amSlotEnds"
                                                                               value="<?php echo $mt_service_am_ending_time; ?>"/>
                                                                    <?php } else { ?>
                                                                        <input class="amSlotEnds" value="11:00"/>
                                                                    <?php } ?>

                                                                    <?php
                                                                    $mt_service_am_slot_duration = get_post_meta(get_the_ID(), 'mt_service_am_slot_duration', true);
                                                                    if ($mt_service_am_slot_duration) { ?>
                                                                        <input class="amSlotDuration" type="text"
                                                                               name="amSlotDuration"
                                                                               value="<?php echo $mt_service_am_slot_duration; ?>">
                                                                    <?php } else { ?>
                                                                        <input class="amSlotDuration" type="text"
                                                                               name="amSlotDuration" value="160"/>
                                                                    <?php } ?>

                                                                </div>
                                                                <div class="pm-time-slot">
                                                                    <?php
                                                                    $mt_service_pm_starting_time = get_post_meta(get_the_ID(), 'mt_service_pm_starting_time', true);
                                                                    if ($mt_service_pm_starting_time) { ?>
                                                                        <input class="pmSlotStarts"
                                                                               value="<?php echo $mt_service_pm_starting_time; ?>"/>
                                                                    <?php } else { ?>
                                                                        <input class="pmSlotStarts" value="15:00"/>
                                                                    <?php } ?>

                                                                    <?php
                                                                    $mt_service_pm_ending_time = get_post_meta(get_the_ID(), 'mt_service_pm_ending_time', true);
                                                                    if ($mt_service_pm_ending_time) { ?>
                                                                        <input class="pmSlotEnds"
                                                                               value="<?php echo $mt_service_pm_ending_time; ?>"/>
                                                                    <?php } else { ?>
                                                                        <input class="pmSlotEnds" value="17:00"/>
                                                                    <?php } ?>

                                                                    <?php
                                                                    $mt_service_pm_slot_duration = get_post_meta(get_the_ID(), 'mt_service_pm_slot_duration', true);
                                                                    if ($mt_service_pm_slot_duration) { ?>
                                                                        <input class="pmSlotDuration" type="text"
                                                                               name="pmSlotDuration"
                                                                               value="<?php echo $mt_service_pm_slot_duration; ?>">
                                                                    <?php } else { ?>
                                                                        <input class="pmSlotDuration" type="text"
                                                                               name="pmSlotDuration" value="160"/>
                                                                    <?php } ?>

                                                                </div>

                                                            </div>

                                                            <!--  Orders per slot  -->
                                                            <div class="mt-service-booking-orders-per-slot">
                                                                <?php
                                                                $mt_service_orders_per_slot = get_post_meta(get_the_ID(), 'mt_service_orders_per_slot', true);
                                                                if ($mt_service_orders_per_slot) { ?>
                                                                    <input type="number"
                                                                           value="<?php echo $mt_service_orders_per_slot; ?>">
                                                                <?php } else { ?>
                                                                    <input type="number" value="1">
                                                                    <?php
                                                                }
                                                                ?>
                                                            </div>
                                                            <!--  ervice-provider-email  -->
                                                            <div class="mt-service-provider-email">
                                                                <?php
                                                                $mt_service_provider_email = get_post_meta(get_the_ID(), 'mt_service_provider_email', true);
                                                                if ($mt_service_provider_email) { ?>
                                                                    <input type="email"
                                                                           value="<?php echo $mt_service_provider_email; ?>">
                                                                    <?php
                                                                }
                                                                ?>
                                                            </div>
                                                        </div>
                                                        <div class="service-two-icon-box-link">
                                                            <button type="button"
                                                                    class="btn btn-light mb-2 em-select-service-button"> <?php _e('Appointment', 'mt-service-booking'); ?> </button>
                                                            <i class="icon-arrow-right1"></i>
                                                        </div>

                                                    </div>


                                                </div>

                                            </article>
                                        </div>

                                    <?php } ?>
                                    <!-- Ends the loop  -->
                                <?php endwhile;

                                $total_pages = $mt_query->max_num_pages;

                                echo '<div class="mt-archive-pagination">';
                                echo paginate_links(array(
                                    'base' => add_query_arg('page', '%#%'),
                                    'format' => '',
                                    'prev_text' => __('&laquo;'),
                                    'next_text' => __('&raquo;'),
                                    'total' => $total_pages,
                                    'current' => $current_page
                                ));
                                echo '</div>';

                                wp_reset_postdata();

                            endif;
                            ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- mt-services container ends -->

        <!-- mt-reservation-process container -->
        <div class="em-reservation-process-container">
            <div class="em-reservation-div-position em-hide">
                <!-- All Selected Info  -->
                <div class="em-selected-all-wrapper">
                    <div class="em-selected-service">
                        <div class="em-get-selected-service em-service-excerpt d-flex align-items-center">

                        </div>
                        <button class="btn em-change-service-btn"> <?php _e('Change Service', 'mt-service-booking'); ?></button>
                    </div>
                    <div class="em-selected-date-wrapper">
                        <div class="em-selected-date d-flex align-items-center">
                            <label class="date"></label>
                            <button class="btn ml-sm-5 em-change-date-btn"> <?php _e('Change Date', 'mt-service-booking'); ?></button>
                        </div>
                    </div>
                    <div class="em-selected-time-slot-wrapper">
                        <div class="em-selected-time-slot d-flex align-items-center">
                            <label class="time-slot"></label>
                            <button class="btn ml-sm-5 em-change-time-slot-btn"> <?php _e('Change Slot', 'mt-service-booking'); ?></button>
                        </div>
                    </div>

                </div>

                <!-- All Selected Info Ends  -->

                <div class="em-calendar-wrapper">
                    <div class="mt-calender-loading-gif">
                        <img src="<?php echo plugin_dir_url(__FILE__) . 'assets/img/loading.gif'; ?>">
                    </div>
                    <div class="em-reservation-calendar"></div>
                </div>

                <div class="em-timer">
                    <div class="mt-loading-gif">
                        <img src="<?php echo plugin_dir_url(__FILE__) . 'assets/img/loading.gif'; ?>">
                    </div>
                    <div id="em-accordion" class="my-3 em-am-time ">
                        <div class="am-or-pm">
                            <button id="amButton" class="btn btn-light mb-2 em-am-button active mr-1">
                                <span> <?php _e('Before noon ( AM )', 'mt-service-booking'); ?></span></button>
                            <button id="pmButton" class="btn btn-light mb-2 em-pm-button ml-1">
                                <span> <?php _e('After noon ( PM ) ', 'mt-service-booking'); ?></span></button>
                        </div>

                        <div class="slots-container">

                            <ul class="slots list-group" id="emShowAM"></ul>
                            <ul class="slots list-group" id="emShowPM"></ul>
                        </div>
                    </div>

                </div>

                <div class="em-booking-form-container">
                    <form method="post" class="needs-validation"
                          novalidate <?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>>
                        <div class="em-booking-form-fields">
                            <div class="form-row">
                                <div class="col-md-12 mb-3">
                                    <input name="mt_user_fullName" type="text" class="form-control"
                                           id="mt_user_fullName"
                                           placeholder="<?php _e('Your Full Name ', 'mt-service-booking'); ?>" value=""
                                           required>
                                    <div class="invalid-feedback">
                                        <?php _e('Please Enter Your Full Name ', 'mt-service-booking'); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col-md-12 mb-3">
                                    <div>
                                        <input name="mt_user_email" type="email" class="form-control" id="mt_user_email"
                                               placeholder="<?php _e('Your Email Address ', 'mt-service-booking'); ?>"
                                               required>
                                        <div class="invalid-feedback">
                                            <?php _e('Please Enter a Valid Email Address ', 'mt-service-booking'); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col-md-12 mb-3">
                                    <input name="mt_user_telephone" id="mt_user_telephone" type="tel" maxlength="25"
                                           size="40" class="form-control"
                                           placeholder="<?php _e('8801812345678 ', 'mt-service-booking'); ?>" required>
                                    <div class="invalid-feedback">
                                        <?php _e('Please Enter Your Valid Phone Number ', 'mt-service-booking'); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="mt-hidden-fields d-none">
                            <fieldset class="form-group">
                                <input type="number" name="mt_selected_service_id" id="mt_selected_service_id"
                                       value="112">
                                <input type="text" name="mt_selected_service" id="mt_selected_service"
                                       value="service-one">
                                <input type="text" name="mt_selected_service_title" id="mt_selected_service_title"
                                       value="">
                                <input type="text" name="mt_selected_service_location" id="mt_selected_service_location"
                                       value="service-one">
                                <input type="text" name="mt_selected_service_date_id" id="mt_selected_service_date_id"
                                       value="123123">
                                <input type="text" name="mt_selected_slot_id" id="mt_selected_slot_id" value="AM112">
                                <input type="text" name="mt_selected_service_provider_email"
                                       id="mt_selected_service_provider_email" value="xyz@gmail.com">
                                <input type="text" name="mt_selected_service_date" id="mt_selected_service_date"
                                       value="12/12/2019">
                                <input type="text" name="mt_selected_time_slot" id="mt_selected_time_slot"
                                       value="12:30 PM - 1:30 PM">
                                <input type="text" name="mt_selected_service_price" id="mt_selected_service_price"
                                       value="$1000">
                                <input type="number" name="mt_booking_slot_starts_at" id="mt_booking_slot_starts_at"
                                       value="">
                                <input type="number" name="mt_service_orders_per_slot" id="mt_service_orders_per_slot"
                                       value="">
                                <input type="number" name="mt_cookie_duration" id="mt_cookie_duration"
                                       value="<?php echo $customer_cookie_duration; ?>">
                                <input name="mt-create-nonce" id="mt-create-nonce"
                                       value="<?php echo wp_create_nonce("mt_booked_slot_nonce"); ?>">
                            </fieldset>
                        </div>

                        <button id="submitForm" class="btn btn-light em-confirm-booking-button" name="mt_submit_booking"
                                type="submit"
                                value="Submit"> <?php _e('Confirm Booking', 'mt-service-booking'); ?> </button>
                    </form>
                </div>

            </div>
        </div>
        <!-- mt-reservation-process container ends -->
    </div>
    <!-- mt services and reservation-process container ends -->
    <?php include(plugin_dir_path(__FILE__) . 'mt-booking-form.php'); ?>

</div>
<!-- mt container ends -->


<?php
get_footer();
?>
