<?php

/**
 * The template for displaying catgeory pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package meditest
 */

get_header();

$meditest_cat_style = get_term_meta(get_queried_object_id(), 'meditest', true);
$meditest_cat_style_template = !empty($meditest_cat_style['meditest_cat_layout']) ? $meditest_cat_style['meditest_cat_layout'] : '';

?>

<!-- Category Breadcrumb -->
<div class="theme-breadcrumb__Wrapper theme-breacrumb-area">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-md-12">
				<h1 class="theme-breacrumb-title">
					<?php echo esc_html__('Category', 'meditest') . ' :'; ?> <?php single_cat_title(); ?>
				</h1>
				<div class="breaccrumb-inner">
					<?php
					if (function_exists('the_meditest_breadcrumb')) {
						the_meditest_breadcrumb();
					}
					?>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Category Breadcrumb End -->

<section id="main-content" class="blog main-container cat-page-spacing" role="main">
	<div class="container">
		<div class="row">
			<div class="<?php if (is_active_sidebar('sidebar-1')) {
							echo "col-lg-9";
						} else {
							echo "col-lg-12";
						} ?> col-md-12">

				<?php if (have_posts()) : ?>

					<?php

					$meditest_cat_global = meditest_get_option('meditest_cat_layout'); //for global	  

					if (is_category() && !empty($meditest_cat_style)) {

						get_template_part('template-parts/category-templates/' . $meditest_cat_style_template . '');
					} elseif (class_exists('CSF') && !empty($meditest_cat_global)) {

						get_template_part('template-parts/category-templates/' . $meditest_cat_global . '');
					} else {

						get_template_part('template-parts/category-templates/catt-one');
					}
					?>

					<div class="theme-pagination-style">
						<?php
						the_posts_pagination(array(
							'next_text' => '<i class="icofont-long-arrow-right"></i>',
							'prev_text' => '<i class="icofont-long-arrow-left"></i>',
							'screen_reader_text' => ' ',
							'type'               => 'list'
						));
						?>
					</div>

				<?php else : ?>
					<?php get_template_part('template-parts/content', 'none'); ?>
				<?php endif; ?>

			</div>

			<?php get_sidebar(); ?>

		</div>
	</div>
</section>

<?php get_footer(); ?>