<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package meditest
 */

$scroll_top = meditest_get_option('back_top_enable', true);
$footer_nav = meditest_get_option('footer_nav');
$footer_copyright_text = meditest_get_option('copyright_text');
$footer_copyright_text_allowed_tags = array(
    'a' => array(
        'href' => array(),
        'title' => array()
    ),
    'img' => array(
        'alt' => array(),
        'src' => array()
    ),
    'br' => array(),
    'em' => array(),
    'strong' => array(),
);

$meditest_footer_social = meditest_get_option('footer_social_enable', false);
$meditest_social_icon = meditest_get_option('fsocial-icon');

$meditest_logo = meditest_get_option('theme_logo_footer');
$meditest_logo_id = isset($meditest_logo['id']) && !empty($meditest_logo['id']) ? $meditest_logo['id'] : '';
$meditest_logo_url = isset($meditest_logo['url']) ? $meditest_logo['url'] : '';
$meditest_logo_alt = get_post_meta($meditest_logo_id, '_wp_attachment_image_alt', true);



?>

<!-- footer area start -->

<?php

$footer = meditest_get_option('select_footer_blocks');
if (!empty($footer)) {
    echo  '<footer class="meditest-custom-footer">' . \Elementor\Plugin::$instance->frontend->get_builder_content(intval($footer)) . '</footer>';
} else {


?>
    <footer class="theme-footer-wrapper theme_footer_Widegts">

        <div class="footer-bottom">
            <div class="container">
                <div class="row">

                    <?php if ($footer_nav == true) : ?>
                        <div class="col-lg-6 text-left">

                            <?php
                            if (has_nav_menu('footermenu')) {

                                wp_nav_menu(array(
                                    'theme_location' => 'footermenu',
                                    'theme_location' => 'footermenu',
                                    'menu_class' => 'footer-nav',
                                    'container' => ''
                                ));
                            }

                            ?>
                        </div>
                    <?php endif; ?>

                    <div class="<?php if ($footer_nav == true) {
                                    echo "col-lg-6 text-right";
                                } else {
                                    echo "col-lg-12 col-md-12 text-center";
                                } ?>">
                        <p class="copyright-text">
                            <?php if (!empty($footer_copyright_text)) {
                                echo wp_kses($footer_copyright_text, $footer_copyright_text_allowed_tags);
                            } else {
                                echo sprintf(
                                    esc_html_x('Copyright &copy; Meditest %s. All rights reserved', 'Theme Copyright', 'meditest'),
                                    date("Y")
                                );
                            } ?>
                        </p>
                    </div>



                </div>
            </div>
        </div>
    </footer>

<?php } ?>
<!-- footer area end -->

</div>

<?php if ($scroll_top == true) : ?>
    <div class="backto">
        <a href="#" class="icofont-long-arrow-up" aria-hidden="true"></a>
    </div>
<?php endif; ?>

<?php wp_footer(); ?>

</body>

</html>