<?php

/*
 * Theme Customize Options
 * @package meditest
 * @since 1.0.0
 * */

if (!defined('ABSPATH')) {
    exit(); // exit if access directly
}

if (class_exists('CSF')) {
    $prefix = 'meditest';

    CSF::createCustomizeOptions($prefix . '_customize_options');


    /*-------------------------------------
     ** Color Settings
     -------------------------------------*/
    CSF::createSection($prefix . '_customize_options', array(
        'id' => 'theme_settings', // Set a unique slug-like ID
        'title' => esc_html__('Meditest Color Settings', 'meditest'),
        'priority' => 10,
        'fields' => array(

            array(
                'type' => 'subheading',
                'content' => '<h3>' . esc_html__('Choose Theme Color', 'meditest') . '</h3>',
            ),

            array(
                'id' => 'theme_main_color',
                'type' => 'color',
                'title' => esc_html__('Theme Main Color', 'meditest'),
                'default' => '#5E5EEE',
            ),

            array(
                'id' => 'theme_secondary_color',
                'type' => 'color',
                'title' => esc_html__('Theme Seconday or Hover Color', 'meditest'),
                'default' => '#2AC28E',
            ),

            array(
                'id' => 'theme_preloader_bg',
                'type' => 'color',
                'title' => esc_html__('Set Preloader Background Color', 'meditest'),
                'default' => '#2AC28E',
                'output'      => '.theme-preloader-style',
                'output_mode' => 'background-color'

            ),

            array(
                'id' => 'theme_body_bg',
                'type' => 'color',
                'title' => esc_html__('Body Background Color', 'meditest'),
                'default' => '#fff',
                'output'      => 'body',
                'output_mode' => 'background-color'

            ),

            array(
                'id' => 'theme_body_text',
                'type' => 'color',
                'title' => esc_html__('Body Text Color', 'meditest'),
                'default' => '#4E4E4E',
                'output'      => 'body',
                'output_mode' => 'color'
            ),


            array(
                'id' => 'theme_footer_bg',
                'type' => 'color',
                'title' => esc_html__('Footer Background Color', 'meditest'),
                'default' => '#000',
                'output'      => 'footer.theme-footer-wrapper.theme_footer_Widegts',
                'output_mode' => 'background-color'

            ),

            array(
                'id' => 'theme_footer_title',
                'type' => 'color',
                'title' => esc_html__('Footer Widget Title Color', 'meditest'),
                'default' => '#00000',
                'output'      => '.footer-widget h4.widget-title',
                'output_mode' => 'color'
            ),

        )

    ));
}//endif