<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly

}

if (!function_exists('meditest_theme_inline_style')) :

	function meditest_theme_inline_style()
	{

		wp_enqueue_style('meditest-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css');


		$theme_main_color = meditest_get_customize_option('theme_main_color');
		$theme_secondary_color = meditest_get_customize_option('theme_secondary_color');

		$custom_css = '';



		if (!empty($theme_main_color)) {

			$custom_css .= ' .full-post-btn a, .footer-socials a:hover, .backto, .wp-block-search .wp-block-search__button, .theme-tags__wrapper a:hover, .blog-sidebar .widget ul li::before, .main-container .theme-pagination-style ul.page-numbers li span.current, .main-container .theme-pagination-style ul.page-numbers li a.page-numbers:hover, .comments-list .comment-reply-link:hover, .blog-post-comment .comment-respond .comment-form .btn-comments, .not-found .input-group-btn, .custom-themee-contactt .fsubmitt {background-color: ' . esc_attr($theme_main_color) . ';}';

			$custom_css .= '.slider-social-box a:hover, .nav-menu-wrapper .mainmenu ul li a:hover, .nav-menu-wrapper .mainmenu ul>li.menu-item-has-children>a:hover:after, .slider-social-box a:hover, .footer-widget ul li a:hover, .theme_blog_nav_Title a:hover, .woocommerce ul.products li.product .woocommerce-loop-product__title a:hover, .woocommerce-page ul.products li.product .woocommerce-loop-product__title a:hover, .footer-social a:hover, .blog-sidebar .widget ul li a:hover, .tagcloud a:hover, .wp-block-tag-cloud a:hover, .post-block-wrapper-latest h3.post-title a:hover, .blog-details-content ul li::marker, #comments .comment-content a, p.logged-in-as a {color: ' . esc_attr($theme_main_color) . ';}';

			$custom_css .= '.wp-block-search .wp-block-search__button, .tagcloud a:hover, .wp-block-tag-cloud a:hover, .main-container .theme-pagination-style ul.page-numbers li span.current, .main-container .theme-pagination-style ul.page-numbers li a.page-numbers:hover, .theme-tags__wrapper a:hover {border-color: ' . esc_attr($theme_main_color) . ';}';
		}


		if (!empty($theme_secondary_color)) {

			$custom_css .= ' .full-post-btn a:hover, .backto:hover, .widget_block.widget_search .wp-block-search__button:hover, .blog-post-comment .comment-respond .comment-form .btn-comments:hover, .custom-themee-contactt .fsubmitt:hover, .not-found form button:hover {background-color: ' . esc_attr($theme_secondary_color) . ';}';


			$custom_css .= '.widget_block.widget_search .wp-block-search__button:hover {border-color: ' . esc_attr($theme_secondary_color) . ';}';
		}


		wp_add_inline_style('meditest-custom-style', $custom_css);
	}
	add_action('wp_enqueue_scripts', 'meditest_theme_inline_style');

endif;
