<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

$meditest_logo = meditest_get_option('theme_logo');
$meditest_logo_id = isset($meditest_logo['id']) && !empty($meditest_logo['id']) ? $meditest_logo['id'] : '';
$meditest_logo_url = isset($meditest_logo['url']) ? $meditest_logo['url'] : '';
$meditest_logo_alt = get_post_meta($meditest_logo_id, '_wp_attachment_image_alt', true);

$meditest_header_search = meditest_get_option('search_bar_enable', true);
$meditest_button_appointment = meditest_get_option('header_button_appointment');


?>

<header id="theme-header-two" class="theme_header__main header-style-one transparent__header">

    <div class="theme-header-area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-2 col-md-12">

                    <div class="logo theme-logo">
                        <?php
                        if (has_custom_logo() || !empty($meditest_logo_url)) {
                            if (isset($meditest_logo['url']) && !empty($meditest_logo_url)) {
                                ?>
                                <a href="<?php echo esc_url(home_url('/')) ?>" class="logo">
                                    <img class="img-fluid" src="<?php echo esc_url($meditest_logo_url); ?>"
                                         alt="<?php echo esc_attr($meditest_logo_alt) ?>">
                                </a>
                                <?php
                            } else {
                                the_custom_logo();
                            }
                        } else {
                            printf('<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>', esc_url(home_url('/')), esc_html(get_bloginfo('name')));
                        }
                        ?>
                    </div>

                </div>

                <div class="col-lg-8 col-md-12 nav-design-one">
                    <div class="nav-menu-wrapper text-center">
                        <div class="container nav-wrapper-one">
                            <div class="meditest-responsive-menu"></div>
                            <div class="mainmenu">
                                <?php
                                wp_nav_menu(array(
                                    'theme_location' => 'primary',
                                    'container' => 'nav',
                                    'container_class' => 'nav-main-wrap',
                                    'menu_class' => 'theme-main-menu',
                                    'menu_id' => 'primary-menu',
                                    'fallback_cb' => 'meditest_fallback_menu',
                                ));
                                ?>

                            </div>
                        </div>
                    </div>
                </div>
                <?php if ($meditest_button_appointment) { ?>
                    <div class="col-lg-2">
                        <div class="header-right-content">
                            <div class="header-shop-signin-button d-none d-sm-block">

								<a href="#">Enroll Now</a>
                            </div>

                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
</header>