<?php
/**
 * Login Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
$login_image = meditest_get_option('shop_login_ragistation');

$login_image_bg = meditest_get_option('shop_login_ragistation_bg');

do_action('woocommerce_before_customer_login_form'); ?>
    <div class="row gx-5 woo_custom-login" id="customer_login">
        <?php if ($login_image) {
            $login_image_url = $login_image['url'];
            $login_image_bg_url = $login_image_bg['url'];
            ?>
            <div class="col-12 col-lg-6 col-md-6 position-relative">
                <img class="meditest-log-img-one" src="<?php echo esc_html_e($login_image_url); ?>" alt="">
                <?php if ($login_image_bg_url) {
                    ?>
                    <img class="meditest-log-img-two stylish-svg-shape-icon medi-anim_three"  src=" <?php echo esc_html_e($login_image_bg_url); ?>" alt="">
            <?php
                }
                ?>
            </div>
            <?php
        } ?>
        <div class="col-12 col-lg-6 col-md-6">
            <div class="woo-login-condensed-div">
                <form class="woocommerce-form woocommerce-form-login login" method="post">
                    <?php do_action('woocommerce_login_form_start'); ?>
                    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                    <h2 class="meditest-login-heading"><?php esc_html_e('Login', 'electio'); ?></h2>
                    <p class="meditest-login-paragrap"><?php esc_html_e('See your growth and get consulting support!', 'electio'); ?></p>
                    <label class="meditest-login-user" for="username"><?php esc_html_e('Username or email', 'electio'); ?>&nbsp;<span
                                class="required">*</span></label>
                    <input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="username"
                           id="username" autocomplete="username" placeholder="rony@121gmail.com "
                           value="<?php echo (!empty($_POST['username'])) ? esc_attr(wp_unslash($_POST['username'])) : ''; ?>"/><?php // @codingStandardsIgnoreLine ?>
                    </p>
                    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                        <label class="meditest-login-pass" for="password"><?php esc_html_e('Password', 'electio'); ?>&nbsp;<span
                                    class="required">*</span></label>
                        <input class="woocommerce-Input woocommerce-Input--text input-text" type="password"
                               name="password" placeholder="********"
                               id="password" autocomplete="current-password"/>
                    </p>

                    <?php do_action('woocommerce_login_form'); ?>
                    <div class="row">
                        <div class="col-12 col-md-6">
                            <label class="woocommerce-form__label woocommerce-form__label-for-checkbox woocommerce-form-login__rememberme">
                                <input class="woocommerce-form__input woocommerce-form__input-checkbox"
                                       name="rememberme"
                                       type="checkbox" id="rememberme" value="forever"/>
                                <span><?php esc_html_e('Remember me', 'electio'); ?></span>
                            </label>
                        </div>

                        <div class="col-12 col-md-6">
                            <p class="woocommerce-LostPassword lost_password text-md-end">
                                <a href="<?php echo esc_url(wp_lostpassword_url()); ?>"><?php esc_html_e('Forgot Password?', 'electio'); ?></a>
                            </p>
                        </div>
                    </div>

                    <p class="form-row">
                        <?php wp_nonce_field('woocommerce-login', 'woocommerce-login-nonce'); ?>
                        <button type="submit" class="woocommerce-button button woocommerce-form-login__submit"
                                name="login"
                                value="<?php esc_attr_e('Log in', 'electio'); ?>"><?php esc_html_e('Log in', 'electio'); ?></button>
                    </p>
                    <?php if ('yes' === get_option('woocommerce_enable_myaccount_registration')) { ?>
                    <?php } else { ?>
                        <div class="my-account-register-btn">
                            <?php
                            $regpage = meditest_get_option('register_page_link');
                            ?>
                            <a href="
                    <?php echo esc_attr(esc_url(get_page_link($regpage))) ?>" class="electio_register_link">
                                <?php esc_attr_e('Don’t have an account? Sign Up', 'electio'); ?></a>
                        </div>
                    <?php }

                    ?>
                    <?php do_action('woocommerce_login_form_end'); ?>

                </form>

                <?php do_action('woocommerce_login_form_end'); ?>
            </div>
            <?php if ('yes' === get_option('woocommerce_enable_myaccount_registration')) {
                ?>
                <div class="woo-ragistation-condensed-div">

                    <form method="post"
                          class="woocommerce-form woocommerce-form-register register" <?php do_action('woocommerce_register_form_tag'); ?> >

                        <?php do_action('woocommerce_register_form_start'); ?>
                        <h2 class="meditest-login-heading"><?php esc_html_e('Register', 'electio'); ?></h2>
                        <?php if ('no' === get_option('woocommerce_registration_generate_username')) : ?>

                            <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                                <label for="reg_username"><?php esc_html_e('Username', 'electio'); ?>&nbsp;<span
                                            class="required">*</span></label>
                                <input type="text" class="woocommerce-Input woocommerce-Input--text input-text"
                                       name="username"
                                       id="reg_username" autocomplete="username"
                                       value="<?php echo (!empty($_POST['username'])) ? esc_attr(wp_unslash($_POST['username'])) : ''; ?>"/><?php // @codingStandardsIgnoreLine ?>
                            </p>

                        <?php endif; ?>

                        <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                            <label class="meditest-login-user" for="reg_email"><?php esc_html_e('Email address', 'electio'); ?>&nbsp;<span
                                        class="required">*</span></label>
                            <input type="email" class="woocommerce-Input woocommerce-Input--text input-text"
                                   name="email" placeholder="rony@121gmail.com "
                                   id="reg_email" autocomplete="email"
                                   value="<?php echo (!empty($_POST['email'])) ? esc_attr(wp_unslash($_POST['email'])) : ''; ?>"/><?php // @codingStandardsIgnoreLine ?>
                        </p>

                        <?php if ('no' === get_option('woocommerce_registration_generate_password')) : ?>

                            <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                                <label for="reg_password"><?php esc_html_e('Password', 'electio'); ?>&nbsp;<span
                                            class="required">*</span></label>
                                <input type="password" class="woocommerce-Input woocommerce-Input--text input-text"
                                       name="password" id="reg_password" autocomplete="new-password"/>
                            </p>

                        <?php else : ?>

                            <p class="meditest-login-paragrap"><?php esc_html_e('A password will be sent to your email address.', 'electio'); ?></p>

                        <?php endif; ?>

                        <?php do_action('woocommerce_register_form'); ?>

                        <p class="woocommerce-FormRow form-row">
                            <?php wp_nonce_field('woocommerce-register', 'woocommerce-register-nonce'); ?>
                            <button type="submit"
                                    class="woocommerce-Button woocommerce-button button woocommerce-form-register__submit"
                                    name="register"
                                    value="<?php esc_attr_e('Create an Account', 'electio'); ?>"><?php esc_html_e('Register', 'electio'); ?></button>
                        </p>

                        <?php do_action('woocommerce_register_form_end'); ?>

                    </form>
                </div>
                <?php do_action('woocommerce_register_form_end'); ?>
                <?php
            } ?>

        </div>
    </div>
    </div>

<?php do_action('woocommerce_after_customer_login_form'); ?>